Package org.apache.calcite.avatica.util

## Interface AbstractCursor.Getter

All Known Implementing Classes:
  `AbstractCursor.AbstractGetter`, `AbstractCursor.SlotGetter`, `AbstractCursor.StructGetter`, `PositionedCursor.ArrayGetter`, `PositionedCursor.FieldGetter`, `PositionedCursor.ListGetter`, `PositionedCursor.MapGetter`, `PositionedCursor.ObjectGetter`

Enclosing class:
  AbstractCursor

    protected static interface AbstractCursor.Getter

Gets a value from a particular field of the current record of this cursor.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getObject()`
`boolean` `wasNull()`

### Method Detail

#### getObject

    java.lang.Object getObject()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### wasNull

    boolean wasNull()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`